=== debian/changelog ===
manpages-fr (3.42d1p1-1) unstable; urgency=low

  [ Simon Paillard ]
  * New release, based on manpages 3.42-1 and perkamon 3.42-1:
    + new manpages: get_robust_list.2 mallinfo.3 malloc_info.3 malloc_stats.3
    + remove outdated links: path_resolution.2 epoll.4 fifo.4 futex.4
      complex.5 environ.5
    + byteorder(3): fix typo (Closes: #682764)
    + Remove old links added 10y ago due to debian specific man-db
  * Fix lintian groff warnings:
    + console_codes.4: avoid discarding words
    + ioprio_set.2.gz: fix format
    + filesystems.5: fix formating
    + feature_test_macros.7: fix groff warning hiding words

 -- Simon Paillard <spaillard@debian.org>  Sat, 15 Sep 2012 11:42:47 +0200
