=== debian/changelog ===
manpages-fr (3.44d1p1-1) unstable; urgency=low

  * New release, based on manpages 3.44-1 and perkamon 3.44-1:
    + new manpages: getauxval.3 secure_getenv.3
  * Translate debian specific modifications: 
     + motd.5 updated and motd.tail removed: due to new behaviour of sysvinit
       2.88dsf-24
     + fputs.3: missing space in putc(c,stdout)
     + resolv.conf.5: Document IPv6 format for nameserver
     + stat.2: Clarify description of EOVERFLOW error

 -- Simon Paillard <spaillard@debian.org>  Thu, 29 Nov 2012 22:40:19 +0100
