=== debian/changelog ===
manpages-fr (3.51d1p1-1) unstable; urgency=low

  * New release, based on manpages 3.51-1 and perkamon 3.51-1:
    . new manpages: kcmp.3 s390_runtime_instr.2 if_freenameindex.3
      if_indextoname.3 if_nameindex.3 if_nametoindex.3
      perf_event_open.2 getcontext.3 getdtablesize.3 pthread_getname_np.3
      pthread_setname_np.3 setcontext.3 sln.8
      fattach.2 fdetach.2 getmsg.2 getunwind.2 isastream.2
      perfmonctl.2 putmsg.2 nss.5
  * Update lintian overrides
  * d/rules: build-{arch,indep} as required by policy 3.9.4

 -- Simon Paillard <spaillard@debian.org>  Tue, 28 May 2013 22:30:59 +0200
