=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 7), po4a (>= 0.39)
 Standards-Version: 3.9.3
 Vcs-Git: git://anonscm.debian.org/pkg-manpages-fr/manpages-fr.git
-Vcs-Browser: http://anonscm.debian.org/git/pkg-manpages-fr/manpages-fr.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-manpages-fr/manpages-fr.git
 Homepage: http://traduc.org/perkamon
 
 Package: manpages-fr
