=== debian/changelog ===
manpages-fr (3.52d1p1-1) unstable; urgency=low

  * New release, based on manpages 3.52-1 and perkamon 3.52-1:
    . new manpages: ldd.1 ldconfig.8 ld.so.8 gai.conf.5 zic.8 zdump.8
  * Replace manpages-fr-extra: pages moved from libc-bin to manpages
  * Switch to xz upstream source
  * man5: ffix in dir_colors.5 (report from upstream)

 -- Simon Paillard <spaillard@debian.org>  Wed, 31 Jul 2013 21:57:08 +0200
