=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
 Uploaders: Simon Paillard <spaillard@debian.org>
 Build-Depends: debhelper (>= 7), po4a (>= 0.39)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/pkg-manpages-fr/manpages-fr.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-manpages-fr/manpages-fr.git
 Homepage: http://traduc.org/perkamon
@@ -13,7 +13,7 @@
 Architecture: all
 Section: doc
 Priority: optional
-Replaces: manpages-fr-extra (<< 20120505)
+Replaces: manpages-fr-extra (<= 20130721)
 Suggests: man-db | man-browser, manpages-fr-dev, manpages-fr-extra
 Depends: ${misc:Depends}
 Description: French version of the manual pages about using GNU/Linux
