=== debian/watch ===
version=3
opts="dversionmangle=s/d(.+)p.*$/-$1/" \
  http://ftp.fr.debian.org/debian/pool/main/m/manpages/manpages_(.*)_all.deb
opts="dversionmangle=s/d.*p(\d+)$/-$1/" \
  http://alioth.debian.org/frs/?group_id=100455 \
  /frs/download.php/\d+/perkamon-fr-(.*).tar.xz
