## manpages-fr 3.54d1p1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Upstream version
-V = 3.52
+V = 3.54
 
 # Patch level, may be empty
 P =
