=== debian/changelog ===
manpages-fr (3.57d1p1-1) unstable; urgency=medium

  * New release, based on manpages 3.57-1 and perkamon 3.57-1
    . new manpage: vdso.7
  * Remove obsolete makefile-fixes.patch (kernel.org up)

 -- Simon Paillard <spaillard@debian.org>  Mon, 03 Feb 2014 22:25:10 +0100

manpages-fr (3.55d1p1-1) unstable; urgency=medium

  * New release, based on manpages 3.55-1 and perkamon 3.55-1
  * Bump Standards to 3.9.5, no change
  * Factor Section and Priority fields from source

 -- Simon Paillard <spaillard@debian.org>  Wed, 08 Jan 2014 23:01:13 +0100

manpages-fr (3.54d1p1-1) unstable; urgency=low

  * New release, based on manpages 3.54-1 and perkamon 3.54-1

 -- Simon Paillard <spaillard@debian.org>  Wed, 25 Sep 2013 00:23:14 +0200

manpages-fr (3.53d1p1-1) unstable; urgency=low

  * New release, based on manpages 3.53-1 and perkamon 3.53-1:
    . new manpage: restart_syscall.2

 -- Simon Paillard <spaillard@debian.org>  Thu, 05 Sep 2013 22:00:06 +0200
