=== debian/control ===
--- 
+++ 
@@ -4,15 +4,13 @@
 Maintainer: Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
 Uploaders: Simon Paillard <spaillard@debian.org>
 Build-Depends: debhelper (>= 7), po4a (>= 0.39)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/pkg-manpages-fr/manpages-fr.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-manpages-fr/manpages-fr.git
 Homepage: http://traduc.org/perkamon
 
 Package: manpages-fr
 Architecture: all
-Section: doc
-Priority: optional
 Replaces: manpages-fr-extra (<= 20130721)
 Suggests: man-db | man-browser, manpages-fr-dev, manpages-fr-extra
 Depends: ${misc:Depends}
@@ -32,8 +30,6 @@
 
 Package: manpages-fr-dev
 Architecture: all
-Section: doc
-Priority: optional
 Recommends: manpages-fr
 Replaces: manpages-fr-extra (<< 20100723)
 Breaks: manpages-fr-extra (<< 20100723)
