=== debian/rules ===
--- 
+++ 
@@ -49,9 +49,9 @@
 MIRRORSITE = http://ftp.fr.debian.org/debian
 
 #  Source contains 4 tarballs:
-#     manpages-fr_$v.orig.tar.bz2
+#     manpages-fr_$v.orig.tar.xz
 #          contains only top-level Makefile
-#     manpages-fr_$v.orig-perkamon-fr.tar.bz2
+#     manpages-fr_$v.orig-perkamon-fr.tar.xz
 #          perkamon-fr sources, downloaded from https://alioth.debian.org/frs/?group_id=100455
 #     manpages-fr_$v.orig-manpages.tar.gz
 #          is data.tar.gz from Debian manpages_$d_all.deb
@@ -84,21 +84,21 @@
 	   p=$$u-$$(echo $$v | sed -e 's/.*p//' -e 's/-.*//'); \
 	   v=$$(echo $$v | sed -e 's/-[^-]*$$//'); \
 	   echo "Version: $$v Upstream: $$u DebPkg: $$d Perkamon: $$p"; \
-	   if test ! -e ../manpages-fr_$${v}.orig-perkamon-fr.tar.bz2; then \
+	   if test ! -e ../manpages-fr_$${v}.orig-perkamon-fr.tar.xz; then \
 	        uscan --no-symlink --download-current-version; \
-	        mv ../perkamon-fr-$${p}.tar.bz2 ../manpages-fr_$${v}.orig-perkamon-fr.tar.bz2; \
+	        mv ../perkamon-fr-$${p}.tar.xz ../manpages-fr_$${v}.orig-perkamon-fr.tar.xz; \
 	   fi; \
-	   tar jxf ../manpages-fr_$${v}.orig-perkamon-fr.tar.bz2 -C perkamon-fr --strip-components=1; \
-	   if test ! -e ../manpages-fr_$${v}.orig.tar.bz2; then \
+	   tar xf ../manpages-fr_$${v}.orig-perkamon-fr.tar.xz -C perkamon-fr --strip-components=1; \
+	   if test ! -e ../manpages-fr_$${v}.orig.tar.xz; then \
 	        rm -rf manpages-fr; \
 	        mkdir manpages-fr; \
 	        cp Makefile manpages-fr/; \
-	        tar jcf ../manpages-fr_$${v}.orig.tar.bz2 --numeric-owner manpages-fr; \
+	        tar Jcf ../manpages-fr_$${v}.orig.tar.xz --numeric-owner manpages-fr; \
 	        rm -rf manpages-fr; \
 	   fi; \
 	   for pkg in manpages manpages-dev; do \
-		if test -e ../manpages-fr_$${v}.orig-$$pkg.tar.bz2; then \
-			tar jxf ../manpages-fr_$${v}.orig-$$pkg.tar.bz2; \
+		if test -e ../manpages-fr_$${v}.orig-$$pkg.tar.xz; then \
+			tar xf ../manpages-fr_$${v}.orig-$$pkg.tar.xz; \
 			continue; \
 		fi; \
 		echo "Downloading package $$pkg ..."; \
@@ -108,7 +108,7 @@
 			wget $(MIRRORSITE)/pool/main/m/manpages/$${pkg}_$${d}_all.deb; \
 		fi; \
 		test -d $$pkg || mkdir $$pkg; \
-		ar p $${pkg}_$${d}_all.deb data.tar.gz | tar zxf - -C $$pkg; \
+		ar p $${pkg}_$${d}_all.deb data.tar.xz | tar Jxf - -C $$pkg; \
 		echo "Processing package $$pkg ..."; \
 		cd $$pkg; \
 		mkdir C 2>/dev/null || true; \
@@ -126,8 +126,8 @@
 		rmdir C/man* 2>/dev/null || true; \
 		LC_ALL=C sort C/link > temp && mv temp C/link; \
 		cd ..; \
-		echo "Generating ../manpages-fr_$${v}.orig-$$pkg.tar.bz2 ..."; \
-		tar jcf ../manpages-fr_$${v}.orig-$$pkg.tar.bz2 --exclude=.svn --owner root --group root $$pkg/C; \
+		echo "Generating ../manpages-fr_$${v}.orig-$$pkg.tar.xz ..."; \
+		tar Jcf ../manpages-fr_$${v}.orig-$$pkg.tar.xz --exclude=.svn --owner root --group root $$pkg/C; \
 	   done
 	-rm -rf manpages/usr manpages-dev/usr manpages*_all.deb
