=== debian/changelog ===
manpages-fr (3.65d1p1-1) unstable; urgency=medium

  * New release, based on manpages 3.65-1 and perkamon 3.65-1
    . new manpages:
      * duplocale.3 locale.1 newlocale.3 uselocale.3
      * open_by_handle_at.2 inet_net_pton.3
    . removed manpage: sync.8 while coreutils provides sync.1

 -- Simon Paillard <spaillard@debian.org>  Sat, 17 May 2014 17:04:36 +0200

manpages-fr (3.61d1p1-1) unstable; urgency=medium

  * New release, based on manpages 3.61-1 and perkamon 3.61-1
    . Merge most *at.2 pages now these functions are wide spread:
      faccessat.2 fchmodat.2 fchownat.2 fstatat.2 linkat.2 mkdirat.2 mknodat.2
      openat.2 readlinkat.2 renameat.2 symlinkat.2 unlinkat.2 mkfifoat.3
      scandirat.3

 -- Simon Paillard <spaillard@debian.org>  Mon, 10 Mar 2014 22:45:10 +0100

manpages-fr (3.58d1p1-1) unstable; urgency=medium

  * New release, based on manpages 3.58-1 and perkamon 3.58-1

 -- Simon Paillard <spaillard@debian.org>  Sat, 15 Feb 2014 13:50:37 +0100
