=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: manpages-fr
 Architecture: all
-Replaces: manpages-fr-extra (<= 20130721)
+Replaces: manpages-fr-extra (<= 20140506)
 Suggests: man-db | man-browser, manpages-fr-dev, manpages-fr-extra
 Depends: ${misc:Depends}
 Description: French version of the manual pages about using GNU/Linux
